﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Infragistics.Web.Mvc.Mobile;

namespace IgniteUI_Mobile.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            // Page model
            PageModel page = new PageModel();
            page.Title = "My App";
            page.CloseButtonText = "Close dialog.";
            page.AddBackButton = true;
            page.BackButtonText = "Lost? Go back!";
            ViewBag.secPage = page;

            // Checkbox group model
            CheckBoxGroupModel cbgrp = new CheckBoxGroupModel();
            cbgrp.ID = "chkBoxGrp";
            cbgrp.Items.Add(new CheckBoxModel() { Checked = true, ID = "opt1", Text = "Option1"});
            cbgrp.Items.Add(new CheckBoxModel() { ID = "opt2", Text = "Option2"});
            cbgrp.Items.Add(new CheckBoxModel() { ID = "opt3", Text = "Option3"});
            ViewBag.ChbxGrp = cbgrp;

            //Slider model
            SliderModel slider = new SliderModel();
            slider.NumericInputDisplayMode = DisplayMode.Inline;
            slider.MinValue = 0;
            slider.MaxValue = 100;
            slider.Value = 30;
            slider.Label = "Progress:";
            slider.LabelAlignment = Alignment.Top;
            ViewBag.Slider = slider;
            return View();
        }

    }
}
